curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/bridge/initialize \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"bridge_token": "<string>"
}
}Use this endpoint to generate a session token for the Bridge widget.
curl --request POST \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/bridge/initialize \
--header 'Content-Type: application/json' \
--data '{
"customer_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}'{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z"
},
"response_type": "object",
"data": {
"bridge_token": "<string>"
}
}Use your Straddle API Key in the Authorization header as Bearer
For use by platforms to specify an account id and set scope of a request.
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
Optional client generated value to use for idempotent requests.
10 - 40Created
Metadata about the API request, including an identifier and timestamp.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?